SoapMethod (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.SoapMethod class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap
Class SoapMethod

    java.lang.Object
      org.mule.transport.soap.SoapMethod

    public class SoapMethod

extends Object

A SOAP method representation where the parameters are named

Constructor Summary
`SoapMethod(QName name)`
`SoapMethod(QName name, Class returnClass)`
`SoapMethod(QName methodName, List params)`
`SoapMethod(QName name, List namedParameters, QName returnType)`
`SoapMethod(QName name, QName returnType)`
`SoapMethod(QName name, QName returnType, Class returnClass)`
`SoapMethod(QName methodName, String paramsString)`
`SoapMethod(String methodName, List params)` Creates a Soap Method using the param string set in the MUle configuration file
`SoapMethod(String methodName, String paramsString)`

Method Summary
`void` | `addNamedParameter(NamedParameter param)`
`NamedParameter` | `addNamedParameter(QName name, QName type, javax.xml.rpc.ParameterMode mode)`
`NamedParameter` | `addNamedParameter(QName name, QName type, String mode)`
`QName` | `getName()`
`List` | `getNamedParameters()`
`Class` | `getReturnClass()`
`QName` | `getReturnType()`
`void` | `removeNamedParameter(NamedParameter param)`
`void` | `setReturnClass(Class returnClass)`
`void` | `setReturnType(QName returnType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapMethod

    public SoapMethod(String methodName,
                      String paramsString)
               throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

### SoapMethod

    public SoapMethod(String methodName,
                      List params)
               throws ClassNotFoundException

  Creates a Soap Method using the param string set in the MUle configuration file

  Parameters:
    `methodName` - the name of the method
    `params` - the param string to parse
  Throws:
    `ClassNotFoundException`

### SoapMethod

    public SoapMethod(QName methodName,
                      String paramsString)
               throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

### SoapMethod

    public SoapMethod(QName methodName,
                      List params)
               throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

### SoapMethod

    public SoapMethod(QName name)

### SoapMethod

    public SoapMethod(QName name,
                      QName returnType)

### SoapMethod

    public SoapMethod(QName name,
                      QName returnType,
                      Class returnClass)

### SoapMethod

    public SoapMethod(QName name,
                      Class returnClass)

### SoapMethod

    public SoapMethod(QName name,
                      List namedParameters,
                      QName returnType)

Method Detail

### addNamedParameter

    public void addNamedParameter(NamedParameter param)

### addNamedParameter

    public NamedParameter addNamedParameter(QName name,
                                            QName type,
                                            String mode)

### addNamedParameter

    public NamedParameter addNamedParameter(QName name,
                                            QName type,
                                            javax.xml.rpc.ParameterMode mode)

### removeNamedParameter

    public void removeNamedParameter(NamedParameter param)

### getName

    public QName getName()

### getNamedParameters

    public List getNamedParameters()

### getReturnType

    public QName getReturnType()

### setReturnType

    public void setReturnType(QName returnType)

### getReturnClass

    public Class getReturnClass()

### setReturnClass

    public void setReturnClass(Class returnClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.